@charset "utf-8";

.header-wrap{position:fixed;top:0;left;0;z-index:200;width:100%;background:transparent;transition:background 0.3s;}
.sub .header-wrap{border-bottom:1px solid var(--white20);}

/* header 콘텐츠에 적용 */
.btn-menu{display:none;}
.slideMenu{display:none;}
.m-gnb-bg{display:none;}
.slide-close{display:none;}
.gnb-bg{display:none;}
.util-wrap{display:none;}
.m-home{display:none;}

.bottom-header-box{display:flex;justify-content:space-between;align-items:center;position:relative;margin:0 auto;padding:0 2rem;max-width:160rem;box-sizing:border-box;}
.bottom-header-box .logo-wrap h1{padding:5.5rem 0;}
.bottom-header-box .logo-wrap h1 .logo-lnk-box{display:block;height:5rem;font-size:0;line-height:1;}
.bottom-header-box .logo-wrap h1 a img{max-height:100%;}
.bottom-header-box .logo-wrap h1 a img.active{display:none;}
.bottom-header-box .gnb-wrap{position:relative;padding:5.6rem 0 0;box-sizing:border-box;}

.gnb-ul{display:flex;}
.gnb-ul > li{position:relative;padding:0 2.4rem 5.6rem;text-align:center;}
.gnb-ul > li > a{display:block;position:relative;padding:0 2.8rem;border-radius:2.4rem;background:transparent;font-size:2.4rem;line-height:4.8rem;font-weight:var(--font-weight-semibold);color:var(--white100);transition:background 0.6s, color 0.3s;}
.gnb-ul > li .gnb-inner .sub-mn{position:absolute;margin:1.6rem 0 0;padding:2.4rem;width:calc(100% + 2rem);background:var(--white60);backdrop-filter: blur(1.2rem);border-radius:1.2rem;border:1px solid var(--color42);transition:all 0.3s;}
.gnb-ul > li .gnb-inner .sub-mn:not(:has(li)){display:none;}
.gnb-ul > li .gnb-inner .sub-mn > li a{display:block;margin:0 0 1rem;padding:1.45rem 1rem 1.45rem 2.4rem;border-radius:1.2rem;font-weight:var(--font-weight-semibold);font-size:2.4rem;line-height:3rem;color:var(--color93);text-align:left;transition:all 0.3s;}
.gnb-ul > li .gnb-inner .sub-mn > li:last-of-type a{margin:0;}
.gnb-ul > li .gnb-inner .sub-mn > li a:hover{background:var(--color94);backdrop-filter: blur(1.5rem);}
.gnb-ul > li > a:hover,
.gnb-ul > li.active > a{background:var(--color05);}
.gnb-ul > li.active .gnb-inner{opacity:1;visibility:visible;}

.gnb-inner{opacity:0;transition:all 0.3s;visibility:hidden;}
.gnb-inner > p{display:none;}

.pc-util-wrap > ul{display:flex;align-items:center;}
.pc-util-wrap > ul > li > a:not(.btn-all-menu){display:flex;align-items:center;gap:8px;padding:1.2rem;}
.pc-util-wrap > ul > li > a:not(.btn-all-menu) span{font-weight:var(--font-weight-semibold);font-size:1.6rem;line-height:2.4rem;color:var(--white100);}
.pc-util-wrap > ul > li > a:not(.btn-all-menu):after{content:'';width:2.4rem;height:2.4rem;background:var(--white100);-webkit-mask:no-repeat center center/100%;mask:no-repeat center center/100%;}
.pc-util-wrap > ul > li > a.login:after{-webkit-mask-image:url(/_res/yonsei_rc/creyon/img/common/ico-login.svg);mask-image:url(/_res/yonsei_rc/creyon/img/common/ico-login.svg);}
.pc-util-wrap > ul > li > a.logout:after{-webkit-mask-image:url(/_res/yonsei_rc/creyon/img/common/ico-logout.svg);mask-image:url(/_res/yonsei_rc/creyon/img/common/ico-logout.svg);}

.btn-all-menu{display:flex;align-items:center;position:relative;}
.btn-all-menu:before{content:'';display:inline-flex;width:4.8rem;height:4.8rem;background:var(--white100);-webkit-mask:url(../img/common/ico-hamburger01@2x.png) no-repeat center center/100%;mask:url(../img/common/ico-hamberger02@2x.png) no-repeat center center/100%;}
.btn-all-menu span{display:inline-flex;font-size:1.8rem;line-height:1;font-weight:var(--font-weight-bold);color:var(--white100);}

.headerFixed .header-wrap{background:var(--white100);}
.headerFixed .bottom-header-box .logo-wrap h1 a img.default{display:none;}
.headerFixed .bottom-header-box .logo-wrap h1 a img.active{display:block;}
.headerFixed .gnb-ul > li > a{color:var(--black02);}
.headerFixed .gnb-ul > li > a:hover,
.headerFixed .gnb-ul > li.active > a{color:var(--white100);}
.headerFixed .btn-all-menu:before{background:var(--black02);}
.headerFixed .btn-all-menu span{color:var(--black02);}
.headerFixed .pc-util-wrap > ul > li > a:not(.btn-all-menu) span{color:var(--black02);}
.headerFixed .pc-util-wrap > ul > li > a:not(.btn-all-menu):after{background:var(--color46);}

.sitemap-wrap{display:none;position:fixed;top:0;left:0;z-index:1000;width:100%;height:100%;background:var(--black50);overflow:auto;text-align:center;}
.sitemap-wrap .sitemap-box{display:inline-block;position:absolute;top:14.4rem;left:50%;padding:2.4rem 4rem;max-width:144rem;width:90%;border-radius:1.2rem;background:var(--color95);border:1px solid var(--color42);transform:translateX(-50%);box-sizing:border-box;}
.sitemap-wrap .sitemap-box .sitemap-header{padding:0 0 5.3rem;}
.sitemap-wrap .sitemap-box .sitemap-header > span{font-weight:var(--font-weight-semibold);font-size:2.6rem;line-height:3.2rem;color:var(--black02);}
.sitemap-wrap .sitemap-box .site-map{display:flex;justify-content:flex-start;flex-wrap:wrap;gap:2.4rem;padding:0 0 6.4rem;}
.sitemap-wrap .sitemap-box .site-map > li{width:calc((100% - 9.6rem) / 5);}
.sitemap-wrap .sitemap-box .site-map > li > a{display:block;position:relative;margin:0 0 2.4rem;padding:1.8rem 4rem;border-radius:3rem;background:var(--white100);border:1px solid var(--color45);font-weight:var(--font-weight-bold);font-size:2.2rem;line-height:2.4rem;color:var(--color93);text-align:left;transition:all 0.3s;}
.sitemap-wrap .sitemap-box .site-map > li > a:hover{background:var(--color78);color:var(--white100);}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li:first-of-type > a{border-top:1px solid var(--color45);font-family:'Paperlogy', sans-serif;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > a{display:block;padding:2.15rem 2.4rem;border-bottom:1px solid var(--color45);font-weight:var(--font-weight-medium);font-size:1.8rem;line-height:2.34rem;letter-spacing:-0.01em;text-align:left;color:var(--black02);font-family:'Paperlogy', sans-serif;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03{padding:2.4rem;border-bottom:1px solid var(--color42);}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li{position:relative;padding:0 0 0rem 1rem;font-weight:var(--font-weight-medium);font-size:1.6rem;line-height:2.08rem;letter-spacing:-0.01em;color:var(--black02);text-align:left;font-family:'Paperlogy', sans-serif;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li > a{display:inline-block;position:relative;margin:0 0 3.2rem;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li:last-of-type > a{padding:0;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li::before{content:'';position:absolute;top:8px;left:0;width:3px;height:3px;border-radius:50%;background:var(--black02);transition:all 0.3s;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li:hover::before{background:var(--color38);}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li:hover > a{color:var(--color38);}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li > a::before{content:'';position:absolute;left:0;bottom:0;width:0;height:1px;background:var(--color38);opacity:0;transition:all 0.3s;}
.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li > a:hover::before{width:100%;opacity:1;}
.sitemap-wrap .sitemap-box .sitemap-close{display:inline-block;padding:1.25rem 3.2rem;border-radius:3.2rem;border:2px solid var(--color43);}
.sitemap-wrap .sitemap-box .sitemap-close > span{display:block;position:relative;padding:0 0 0 4rem;font-weight:var(--font-weight-semibold);font-size:1.8rem;line-height:2.88rem;color:var(--black02);font-family:'Pretendard', sans-serif;}
.sitemap-wrap .sitemap-box .sitemap-close > span::before{content:'';position:absolute;top:50%;left:0;width:2.4rem;height:2.4rem;background:url(/_res/yonsei_rc/creyon/img/common/ico-sitemap-close.png) no-repeat center center / 100%;transform:translateY(-50%);}
.sitemap-wrap .sitemap-box .sitemap-close-top{position:absolute;top:3.2rem;right:4rem;width:3.2rem;height:3.2rem;background:url(/_res/yonsei_rc/creyon/img/common/ico-sitemap-close-top.png) no-repeat center center / 100%;}

@media screen and (max-width:1600px) {	
	.bottom-header-box .logo-wrap h1 .logo-lnk-box{height:4rem;}
	.gnb-ul > li{padding:0 1rem 5.6rem;}
	.gnb-ul > li > a{padding:0 2rem;}
	
}
@media screen and (max-width:1300px) {	
	.gnb-ul > li > a{padding:0 1rem;font-size:2rem;line-height:3rem;}
	.gnb-ul > li .gnb-inner .sub-mn{padding:1.5rem;}
	.gnb-ul > li .gnb-inner .sub-mn > li a{padding:8px 7px 8px 1.4rem;font-size:1.4rem;line-height:2rem;}
	
	.pc-util-wrap > ul > li > a:not(.btn-all-menu) span{width:0;height:0;font-size:0;}
	.btn-all-menu:before{width:3rem;height:3rem;}
	.sitemap-wrap .sitemap-box .site-map{padding:0 0 3.5rem;}
	.sitemap-wrap .sitemap-box .site-map > li > a{margin:0 0 2rem;padding:1.5rem 3.5rem;font-size:1.8rem;line-height:2rem;}
	.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > a{padding:1.8rem 2rem;font-size:1.4rem;line-height:1.94rem;}
	.sitemap-wrap .sitemap-box .site-map > li > .depth02 > li > .depth03 > li > a{margin:0 0 2rem;font-size:1.2rem;line-height:1.68rem;}
	.sitemap-wrap .sitemap-box .sitemap-close > span{font-size:1.6rem;line-height:2.68rem;}
}

@media screen and (max-width:1024.98px) {	
	
	.header-wrap{position:fixed;background:var(--white100);}

	/* header 콘텐츠에 적용 */
	.bottom-header-box{justify-content:flex-start;align-items:center;padding:1.8rem 1.6rem;border-bottom:0;text-align:left;}
	.bottom-header-box .logo-wrap h1{padding:0;}
	.bottom-header-box .logo-wrap h1 .logo-lnk-box{height:3.5rem;}
	.bottom-header-box h1 a img{max-height:100%;}
	.bottom-header-box .logo-wrap h1 a img.default{display:none;}
	.bottom-header-box .logo-wrap h1 a img.active{display:block;}
	.util-wrap{display:block;position:absolute;top:2rem;right:2.4rem;z-index:10;}
	
	.pc-util-wrap{display:none;margin:0 0 0 1rem;}
	body.all-fixed .pc-util-wrap{display:block;}
	.pc-util-wrap > ul > li > a:not(.btn-all-menu){padding:6px 1.6rem;border-radius:2em;background:var(--color39);}
	.pc-util-wrap > ul > li > a:not(.btn-all-menu) span{width:auto;height:auto;font-size:1.6rem;}
	body.all-fixed .pc-util-wrap > ul > li > a:not(.btn-all-menu) span{color:var(--black02);}
	body.all-fixed .pc-util-wrap > ul > li > a:not(.btn-all-menu):after{background:var(--color46);}
	
	/* gnb-mobile */
	.slideMenu{display:block;position:fixed;top:7.2rem;right:0;z-index:100;width:100%;height:calc(100% - 7.2rem);background:var(--white100);overflow-y:auto;box-sizing:border-box;opacity:0;visibility:hidden;transform:translateX(100%);transition:all .3s;}

	.m-gnb{position:relative;width:100%;box-sizing:border-box;}
	.dep1{display:flex;flex-wrap:wrap;border-bottom:1px solid var(--color125);}
	.dep1 > li{width:100%;transition:0.3s ease;overflow:hidden;}
	.dep1 > li:first-of-type > a{border-top:1px solid var(--color42);}
	.dep1 > li > a{display:block;position:relative;padding:1.9rem 2.4rem;border-bottom:1px solid var(--color42);font-weight:var(--font-weight-bold);font-size:1.8rem;line-height:2.4rem;box-sizing:border-box;}
	.dep1 > li.has-dep.active > a{border-bottom:1px solid var(--color42);}
	.dep1 > li.has-dep > a::after{content:'';position:absolute;top:50%;right:2.4rem;width:2.4rem;height:2.4rem;mask:url(/_res/yonsei_rc/creyon/img/common/ico-dep01-arrow@2x.png) no-repeat center center/100%;-webkit-mask:url(/_res/yonsei_rc/creyon/img/common/ico-dep01-arrow@2x.png) no-repeat center center/100%;background-color:var(--black01);transition:0.3s ease;transform:translateY(-50%);}
	.dep1 > li.has-dep.active > a::after{transform:translateY(-50%) rotate(180deg);}
	.dep1 > li > a > span{display:block;padding:0 2rem 0 0;font-size:1.6rem;font-weight:var(--font-weight-bold);color:var(--color125);line-height:1;}
	.dep2{display:none;margin:0 0 5px;padding:2rem 0 2rem 2rem;background:var(--color96);border-bottom:1px solid var(--color42);}
	.dep2 > li{display:flex;flex-wrap:wrap;gap:2.5rem;padding:1.5rem 0;border-bottom:1px solid var(--color126);}
	.dep2 > li:first-of-type{padding-top:0;}
	.dep2 > li:last-of-type{padding-bottom:0;border:none;}
	.dep2 > li > a{display:block;position:relative;flex-shrink:0;padding:0 4rem 0 0;width:100%;font-weight:var(--font-weight-medium);font-size:1.6rem;line-height:2.08rem;letter-spacing:-0.01em;color:var(--black02);box-sizing:border-box;}
	.dep2 > li > a::after{content:'';position:absolute;top:50%;right:0;width:2.4rem;height:2.4rem;background:url(/_res/yonsei_rc/creyon/img/common/ico-dep02-arrow@2x.png) no-repeat center center / 100%;transform:translateY(-50%);}


	.gnb-wrap{display:none;}
	.gnb-bg{display:none;}

	.btn-all-menu{display:none;}

	.all-fixed .bottom-header-box .logo-wrap h1 .logo-lnk-box{display:none;}
	.btn-menu{display:flex;width:3.2rem;height:3.2rem;background:url(../img/common/ico-hamberger02@2x.png) no-repeat center center/100%;}
	.all-fixed .btn-menu{display:none;}
	.all-fixed .slide-close{display:block !important;width:3.2rem;height:3.2rem;background:url(/_res/yonsei_rc/creyon/img/common/ico-m-gnb-close@2x.png) no-repeat center center / 100%;}
	.all-fixed .m-home{display:flex;justify-content:center;align-items:center;padding:7px 1.6rem;background:var(--color13);border-radius:1.8rem;font-weight:var(--font-weight-semibold);font-size:1.6rem;line-height:2.2rem;color:var(--white100);}
	.all-fixed .logo-lnk-box{display:none;}
	/* 공통 */
	.m-util{display:none;}
	.m-gnb-bg{display:none;position:fixed;top:0;left:0;z-index:30;width:100%;height:100%;background-color:rgba(0,0,0,0.8);}
	.slideMenu.left{left:-100%;}
	.slideMenu.left.on{display:block;left:0;opacity:1;visibility:visible;}
	.slideMenu.right{right:-100%;}
	.slideMenu.right.on{display:block;right:100%;opacity:1;visibility:visible;}
}